#include <iostream>

using namespace std;

void sort(int a[], int n)
{
	for(int i = 0; i < n-1; i++)
	{
		for(int j = i+1; j < n; j++)
		{
			if(a[i] > a[j]) swap(a[i],a[j]);
		}
	}
}
int main()
{
	int x, n, q;
	cin >> n >> q;
	int a[n], b[q];
	for(int i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	sort(a,n);
	for(int i = 0; i < q; i++)
	{
		cin >> b[i];
	}
	x = n/2;
	int br;
	for(int i = 0; i < q; i++)
	{
		br = 0;
		if(b[i] < a[0]) br = n;
		if(b[i] > a[n-1]) br = n;
		for(int j = 0; j < n; j++)
		{
			if(b[i] == a[j])
			{
				if(a[x] == b[i]) br = 0;
			
				else if(b[i] < a[x]) br = x - j;
				
				else br = j-x;
			}
			
		}
		cout << br << endl;
	}
}